/*
 * Copyright (c) 2016,2017 Brook Milligan.
 *
 * This file is part of the GraphModel Library.
 *
 *     The GraphModel Library is free software: you can redistribute
 *     it and/or modify it under the terms of the GNU Affero General
 *     Public License as published by the Free Software Foundation,
 *     either version 3 of the License, or (at your option) any later
 *     version.
 *
 *     The GraphModel Library is distributed in the hope that it will
 *     be useful, but WITHOUT ANY WARRANTY; without even the implied
 *     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *     PURPOSE.  See the GNU Affero General Public License for more
 *     details.
 *
 *     You should have received a copy of the GNU Affero General
 *     Public License along with the GraphModel Library.  If not, see
 *     <http://www.gnu.org/licenses/>.
 */

/// \file

#ifndef TYPE_TRAITS_IS_DOMAIN_FWD_HPP
#define TYPE_TRAITS_IS_DOMAIN_FWD_HPP 1

namespace type_traits
{

  template < typename T >
  class is_domain;

  template < typename T >
  using is_domain_t = typename is_domain<T>::type;

  template < typename T >
  constexpr auto is_domain_v = is_domain<T>::value;

} // namespace type_traits

#endif
